Package org.zkoss.stateless.ui.util

## Class GetterMethodHandlerForC2I

- java.lang.Object
- - org.zkoss.stateless.ui.util.GetterMethodHandlerForC2I

- All Implemented Interfaces:
    `java.io.Serializable`, `javassist.util.proxy.MethodHandler`

      public class GetterMethodHandlerForC2I
      extends java.lang.Object
      implements javassist.util.proxy.MethodHandler, java.io.Serializable

  A getter method handle for `Component` to `IComponent`.
  Author:
    jumperchen
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Component` | `_origin` |
    `protected static javassist.util.proxy.MethodFilter` | `GETTER_METHOD_FILTER` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GetterMethodHandlerForC2I​(Component origin)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `invoke​(java.lang.Object self, java.lang.reflect.Method method, java.lang.reflect.Method proceed, java.lang.Object[] args)` |
    `static boolean` | `isAttribute​(java.lang.reflect.Method method)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GETTER_METHOD_FILTER

          protected static javassist.util.proxy.MethodFilter GETTER_METHOD_FILTER

    - #### _origin

          protected Component _origin

  - ### Constructor Detail

    - #### GetterMethodHandlerForC2I

          public GetterMethodHandlerForC2I​(Component origin)

  - ### Method Detail

    - #### invoke

          public java.lang.Object invoke​(java.lang.Object self,
                                         java.lang.reflect.Method method,
                                         java.lang.reflect.Method proceed,
                                         java.lang.Object[] args)
                                  throws java.lang.Exception

      Specified by:
        `invoke` in interface `javassist.util.proxy.MethodHandler`
      Throws:
        `java.lang.Exception`

    - #### isAttribute

          public static boolean isAttribute​(java.lang.reflect.Method method)